Skip to content

Create Rfq

Request

Create a new RfQ either for an existing or a new customer.

Security
BearerAuth
Headers
Acceptstring(RfqAcceptHeader)required

Set this to application/api.luminovo.rfq-v1+json.

Value:"application/api.luminovo.rfq-v1+json"
Bodyapplication/jsonrequired
customerobject(types.rfq.v1.CustomerInfo)required
One of:

If creating RfQ for an existing customer provide customer id here

namestringrequired

Name of the RfQ

ems_internal_numberstring or null

Internal identifier (if any)

contributorsArray of strings, (uuid)

Users which contribute to this Rfq, can be empty

due_datestring or null, (date)

Date when this Rfq must be finished (if any)

currencystring(CurrencyCode)required

This RfQs currency

Enum:"EUR""USD""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK"
volume_estimatenull or types.rfq.volume_estimate.v1.VolumeEstimate (object)
One of:
null
industrystring(types.assembly.assembly_industry.v1.AssemblyIndustry)
Enum:"Auto""Medical""Defense""Aero""Rail""Industrial""Construction""Consumer""Other"
notesstring or null
internal_notesstring or null
source_assembly_ipn_valuestring or null

If present, the RfQ is created from an existing assembly identified by this IPN value and revision.

source_assembly_ipn_revisionstring or null
assembly_typestring(types.assembly.assembly_type.v1.AssemblyType)
Enum:"Box""Pcba""PcbOnly""Cable""System""BOM"
POST
/rfqs
curl -i -X POST \
  https://api.luminovo.com/rfqs \
  -H 'Accept: application/api.luminovo.rfq-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customer": {
      "data": "808ac6e4-93ed-4040-85a5-6c71a2444e90",
      "type": "ExistingCustomer"
    },
    "name": "string",
    "ems_internal_number": "string",
    "contributors": [
      "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ],
    "due_date": "2019-08-24",
    "currency": "EUR",
    "volume_estimate": null,
    "industry": "Auto",
    "notes": "string",
    "internal_notes": "string",
    "source_assembly_ipn_value": "string",
    "source_assembly_ipn_revision": "string",
    "assembly_type": "Box"
  }'

Responses

RfQ created.

Bodyapplication/json
idstring, (uuid)required

The RfQ/project ID. This is the same identifier used by both /rfqs and /projects endpoints.

customerstring, (uuid)required
namestringrequired
ems_internal_numberstring or null

Internal reference

creation_datestring, (date-time)required
due_datestring, (date)required
statusstring(types.rfq.status.v1.RfQStatus)required
Enum:"RequestInDraft""QuotationInProgress""QuotationAvailable""NoQuotation""NoOrder""OrderPlaced""OrderConfirmed""PaymentFailed""OrderInProcurement""OrderInProduction"
sourcing_scenariosArray of strings, (uuid)required
design_items_countinteger, >= 0required
assemblies_countinteger, >= 0required
created_bystring or null, (uuid)
currencystring(CurrencyCode)required
Enum:"EUR""USD""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK"
is_archivedbooleanrequired
industrystring(types.assembly.assembly_industry.v1.AssemblyIndustry)required
Enum:"Auto""Medical""Defense""Aero""Rail""Industrial""Construction""Consumer""Other"
notesstring or null
internal_notesstring or null
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customer": "0ac6320b-fa4d-4235-8d23-413a2b863bad", "name": "string", "ems_internal_number": "string", "creation_date": "2019-08-24T14:15:22Z", "due_date": "2019-08-24", "status": "RequestInDraft", "sourcing_scenarios": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "design_items_count": 0, "assemblies_count": 0, "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "currency": "EUR", "is_archived": true, "industry": "Auto", "notes": "string", "internal_notes": "string" }